
Foreman - Refactor #2254

Add STI for Host object

02/25/2013 09:53 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

this refactoring will allow to split the host class into multiple classes.

Associated revisions

Revision d7611b24 - 02/25/2013 09:54 AM - Greg Sutcliffe

fixes #2254 - Add STI to hosts table

Signed-off-by: Joseph Mitchell Magen <jmagen@redhat.com>

Signed-off-by: Ohad Levy <ohadlevy@gmail.com>

Revision 54134869 - 02/25/2013 10:24 AM - Ohad Levy

refs #2254 - minor fixes related to host form

Revision 29ebe20f - 02/25/2013 10:31 AM - Ohad Levy

refs #2254 - minor fixes related to facts import

Revision 3f77babd - 04/21/2013 01:49 PM - Joseph Magen

refs #2254 - STI Host relationships

History

#1 - 02/25/2013 10:41 AM - Greg Sutcliffe

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d7611b242760bffdd801a63dd4d3e63533ccfa52.
